

nodemask.h wants find_next_zero_bit() to take a const address.  Fix that up
and modify find_next_bit() to suit.

(These functions seem too big to be inlined...)

Cc: Richard Henderson <rth@twiddle.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-alpha-akpm/include/asm-alpha/bitops.h |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

diff -puN include/asm-alpha/bitops.h~alpha-nodemask-build-fix include/asm-alpha/bitops.h
--- 25-alpha/include/asm-alpha/bitops.h~alpha-nodemask-build-fix	2005-01-28 23:18:48.198789928 -0800
+++ 25-alpha-akpm/include/asm-alpha/bitops.h	2005-01-28 23:22:07.085554544 -0800
@@ -376,12 +376,13 @@ static inline unsigned long hweight64(un
  * Find next zero bit in a bitmap reasonably efficiently..
  */
 static inline unsigned long
-find_next_zero_bit(void * addr, unsigned long size, unsigned long offset)
+find_next_zero_bit(const void *addr, unsigned long size, unsigned long offset)
 {
-	unsigned long * p = ((unsigned long *) addr) + (offset >> 6);
+	const unsigned long *p = addr;
 	unsigned long result = offset & ~63UL;
 	unsigned long tmp;
 
+	p += offset >> 6;
 	if (offset >= size)
 		return size;
 	size -= result;
@@ -419,10 +420,11 @@ find_next_zero_bit(void * addr, unsigned
 static inline unsigned long
 find_next_bit(const void * addr, unsigned long size, unsigned long offset)
 {
-	const unsigned long * p = ((const unsigned long *) addr) + (offset >> 6);
+	const unsigned long *p = addr;
 	unsigned long result = offset & ~63UL;
 	unsigned long tmp;
 
+	p += offset >> 6;
 	if (offset >= size)
 		return size;
 	size -= result;
_
